org.apache.ignite.internal.cluster

## Class DistributedBaselineConfiguration

- java.lang.Object
- - org.apache.ignite.internal.cluster.DistributedBaselineConfiguration

    public class DistributedBaselineConfiguration
    extends Object

Distributed baseline configuration.

### Constructor Summary

Constructors
Constructor and Description
`DistributedBaselineConfiguration(GridInternalSubscriptionProcessor isp, GridKernalContext ctx, IgniteLogger log)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getBaselineAutoAdjustTimeout()`
`boolean` `isBaselineAutoAdjustEnabled()`
`void` `listenAutoAdjustEnabled(DistributePropertyListener<? super Boolean> lsnr)`
`void` `listenAutoAdjustTimeout(DistributePropertyListener<? super Long> lsnr)`
`void` `onActivate()` Called when cluster performing activation.
`GridFutureAdapter<?>` `updateBaselineAutoAdjustEnabledAsync(boolean baselineAutoAdjustEnabled)`
`GridFutureAdapter<?>` `updateBaselineAutoAdjustTimeoutAsync(long baselineAutoAdjustTimeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DistributedBaselineConfiguration

    public DistributedBaselineConfiguration(GridInternalSubscriptionProcessor isp,
                                            GridKernalContext ctx,
                                            IgniteLogger log)

Parameters:
  `isp` - Subscription processor.
  `ctx` - Kernal context.

### Method Detail

#### listenAutoAdjustEnabled

    public void listenAutoAdjustEnabled(DistributePropertyListener<? super Boolean> lsnr)

#### listenAutoAdjustTimeout

    public void listenAutoAdjustTimeout(DistributePropertyListener<? super Long> lsnr)

#### onActivate

    public void onActivate()
                    throws IgniteCheckedException

Called when cluster performing activation.

Throws:
  `IgniteCheckedException`

#### isBaselineAutoAdjustEnabled

    public boolean isBaselineAutoAdjustEnabled()

Returns:
  Value of manual baseline control or auto adjusting baseline.

#### updateBaselineAutoAdjustEnabledAsync

    public GridFutureAdapter<?> updateBaselineAutoAdjustEnabledAsync(boolean baselineAutoAdjustEnabled)
                                                              throws IgniteCheckedException

Parameters:
  `baselineAutoAdjustEnabled` - Value of manual baseline control or auto adjusting baseline.
Throws:
  `IgniteCheckedException` - if failed.

#### getBaselineAutoAdjustTimeout

    public long getBaselineAutoAdjustTimeout()

Returns:
  Value of time which we would wait before the actual topology change since last discovery event(node join/exit).

#### updateBaselineAutoAdjustTimeoutAsync

    public GridFutureAdapter<?> updateBaselineAutoAdjustTimeoutAsync(long baselineAutoAdjustTimeout)
                                                              throws IgniteCheckedException

Parameters:
  `baselineAutoAdjustTimeout` - Value of time which we would wait before the actual topology change since last discovery event(node join/exit).
Throws:
  `IgniteCheckedException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023